
package ca.canadapost.cpcdp.platforms.stub;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="merchant-info">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="customer-number" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="contract-number" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="merchant-username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="merchant-password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="has-default-credit-card" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="messages" type="{http://www.canadapost.ca/ws/soap/merchant/registration}MessagesType"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "merchantInfo",
    "messages"
})
@XmlRootElement(name = "get-merchant-registration-info-response")
public class GetMerchantRegistrationInfoResponse {

    @XmlElement(name = "merchant-info")
    protected GetMerchantRegistrationInfoResponse.MerchantInfo merchantInfo;
    protected MessagesType messages;

    /**
     * Gets the value of the merchantInfo property.
     * 
     * @return
     *     possible object is
     *     {@link GetMerchantRegistrationInfoResponse.MerchantInfo }
     *     
     */
    public GetMerchantRegistrationInfoResponse.MerchantInfo getMerchantInfo() {
        return merchantInfo;
    }

    /**
     * Sets the value of the merchantInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetMerchantRegistrationInfoResponse.MerchantInfo }
     *     
     */
    public void setMerchantInfo(GetMerchantRegistrationInfoResponse.MerchantInfo value) {
        this.merchantInfo = value;
    }

    /**
     * Gets the value of the messages property.
     * 
     * @return
     *     possible object is
     *     {@link MessagesType }
     *     
     */
    public MessagesType getMessages() {
        return messages;
    }

    /**
     * Sets the value of the messages property.
     * 
     * @param value
     *     allowed object is
     *     {@link MessagesType }
     *     
     */
    public void setMessages(MessagesType value) {
        this.messages = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="customer-number" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="contract-number" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="merchant-username" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="merchant-password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="has-default-credit-card" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "customerNumber",
        "contractNumber",
        "merchantUsername",
        "merchantPassword",
        "hasDefaultCreditCard"
    })
    public static class MerchantInfo {

        @XmlElement(name = "customer-number")
        protected String customerNumber;
        @XmlElement(name = "contract-number")
        protected String contractNumber;
        @XmlElement(name = "merchant-username")
        protected String merchantUsername;
        @XmlElement(name = "merchant-password")
        protected String merchantPassword;
        @XmlElement(name = "has-default-credit-card")
        protected Boolean hasDefaultCreditCard;

        /**
         * Gets the value of the customerNumber property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCustomerNumber() {
            return customerNumber;
        }

        /**
         * Sets the value of the customerNumber property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCustomerNumber(String value) {
            this.customerNumber = value;
        }

        /**
         * Gets the value of the contractNumber property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getContractNumber() {
            return contractNumber;
        }

        /**
         * Sets the value of the contractNumber property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setContractNumber(String value) {
            this.contractNumber = value;
        }

        /**
         * Gets the value of the merchantUsername property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantUsername() {
            return merchantUsername;
        }

        /**
         * Sets the value of the merchantUsername property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantUsername(String value) {
            this.merchantUsername = value;
        }

        /**
         * Gets the value of the merchantPassword property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantPassword() {
            return merchantPassword;
        }

        /**
         * Sets the value of the merchantPassword property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantPassword(String value) {
            this.merchantPassword = value;
        }

        /**
         * Gets the value of the hasDefaultCreditCard property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isHasDefaultCreditCard() {
            return hasDefaultCreditCard;
        }

        /**
         * Sets the value of the hasDefaultCreditCard property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setHasDefaultCreditCard(Boolean value) {
            this.hasDefaultCreditCard = value;
        }

    }

}
