
package ca.canadapost.cpcdp.shipping.stub.manifest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ManifestAddressType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ManifestAddressType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="manifest-company">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *               &lt;minLength value="1"/>
 *               &lt;maxLength value="44"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="manifest-name" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *               &lt;minLength value="1"/>
 *               &lt;maxLength value="44"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="phone-number" type="{http://www.canadapost.ca/ws/soap/manifest/v8}PhoneNumberType"/>
 *         &lt;element name="address-details" type="{http://www.canadapost.ca/ws/soap/manifest/v8}AddressDetailsType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ManifestAddressType", propOrder = {

})
public class ManifestAddressType {

    @XmlElement(name = "manifest-company", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String manifestCompany;
    @XmlElement(name = "manifest-name")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String manifestName;
    @XmlElement(name = "phone-number", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String phoneNumber;
    @XmlElement(name = "address-details", required = true)
    protected AddressDetailsType addressDetails;

    /**
     * Gets the value of the manifestCompany property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getManifestCompany() {
        return manifestCompany;
    }

    /**
     * Sets the value of the manifestCompany property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setManifestCompany(String value) {
        this.manifestCompany = value;
    }

    /**
     * Gets the value of the manifestName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getManifestName() {
        return manifestName;
    }

    /**
     * Sets the value of the manifestName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setManifestName(String value) {
        this.manifestName = value;
    }

    /**
     * Gets the value of the phoneNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhoneNumber() {
        return phoneNumber;
    }

    /**
     * Sets the value of the phoneNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhoneNumber(String value) {
        this.phoneNumber = value;
    }

    /**
     * Gets the value of the addressDetails property.
     * 
     * @return
     *     possible object is
     *     {@link AddressDetailsType }
     *     
     */
    public AddressDetailsType getAddressDetails() {
        return addressDetails;
    }

    /**
     * Sets the value of the addressDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link AddressDetailsType }
     *     
     */
    public void setAddressDetails(AddressDetailsType value) {
        this.addressDetails = value;
    }

}
