
package ca.canadapost.cpcdp.shipping.stub.manifest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ShipmentTransmitSetType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ShipmentTransmitSetType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CustomerRequestIdType" minOccurs="0"/>
 *         &lt;element name="group-ids" type="{http://www.canadapost.ca/ws/soap/manifest/v8}GroupIDListType"/>
 *         &lt;element name="cpc-pickup-indicator" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="requested-shipping-point" type="{http://www.canadapost.ca/ws/soap/manifest/v8}PostalCodeType" minOccurs="0"/>
 *         &lt;element name="shipping-point-id" type="{http://www.canadapost.ca/ws/soap/manifest/v8}OutletIDType" minOccurs="0"/>
 *         &lt;element name="detailed-manifests" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="method-of-payment" type="{http://www.canadapost.ca/ws/soap/manifest/v8}MethodOfPaymentType"/>
 *         &lt;element name="manifest-address" type="{http://www.canadapost.ca/ws/soap/manifest/v8}ManifestAddressType"/>
 *         &lt;element name="customer-reference" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CustomerReferenceType" minOccurs="0"/>
 *         &lt;element name="excluded-shipments" type="{http://www.canadapost.ca/ws/soap/manifest/v8}ExcludedShipmentsType" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShipmentTransmitSetType", propOrder = {

})
public class ShipmentTransmitSetType {

    @XmlElement(name = "customer-request-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerRequestId;
    @XmlElement(name = "group-ids", required = true)
    protected GroupIDListType groupIds;
    @XmlElement(name = "cpc-pickup-indicator")
    protected Boolean cpcPickupIndicator;
    @XmlElement(name = "requested-shipping-point")
    protected String requestedShippingPoint;
    @XmlElement(name = "shipping-point-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shippingPointId;
    @XmlElement(name = "detailed-manifests")
    protected boolean detailedManifests;
    @XmlElement(name = "method-of-payment", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String methodOfPayment;
    @XmlElement(name = "manifest-address", required = true)
    protected ManifestAddressType manifestAddress;
    @XmlElement(name = "customer-reference")
    protected String customerReference;
    @XmlElement(name = "excluded-shipments")
    protected ExcludedShipmentsType excludedShipments;

    /**
     * Gets the value of the customerRequestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRequestId() {
        return customerRequestId;
    }

    /**
     * Sets the value of the customerRequestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRequestId(String value) {
        this.customerRequestId = value;
    }

    /**
     * Gets the value of the groupIds property.
     * 
     * @return
     *     possible object is
     *     {@link GroupIDListType }
     *     
     */
    public GroupIDListType getGroupIds() {
        return groupIds;
    }

    /**
     * Sets the value of the groupIds property.
     * 
     * @param value
     *     allowed object is
     *     {@link GroupIDListType }
     *     
     */
    public void setGroupIds(GroupIDListType value) {
        this.groupIds = value;
    }

    /**
     * Gets the value of the cpcPickupIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCpcPickupIndicator() {
        return cpcPickupIndicator;
    }

    /**
     * Sets the value of the cpcPickupIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCpcPickupIndicator(Boolean value) {
        this.cpcPickupIndicator = value;
    }

    /**
     * Gets the value of the requestedShippingPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestedShippingPoint() {
        return requestedShippingPoint;
    }

    /**
     * Sets the value of the requestedShippingPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestedShippingPoint(String value) {
        this.requestedShippingPoint = value;
    }

    /**
     * Gets the value of the shippingPointId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShippingPointId() {
        return shippingPointId;
    }

    /**
     * Sets the value of the shippingPointId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShippingPointId(String value) {
        this.shippingPointId = value;
    }

    /**
     * Gets the value of the detailedManifests property.
     * 
     */
    public boolean isDetailedManifests() {
        return detailedManifests;
    }

    /**
     * Sets the value of the detailedManifests property.
     * 
     */
    public void setDetailedManifests(boolean value) {
        this.detailedManifests = value;
    }

    /**
     * Gets the value of the methodOfPayment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMethodOfPayment() {
        return methodOfPayment;
    }

    /**
     * Sets the value of the methodOfPayment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMethodOfPayment(String value) {
        this.methodOfPayment = value;
    }

    /**
     * Gets the value of the manifestAddress property.
     * 
     * @return
     *     possible object is
     *     {@link ManifestAddressType }
     *     
     */
    public ManifestAddressType getManifestAddress() {
        return manifestAddress;
    }

    /**
     * Sets the value of the manifestAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link ManifestAddressType }
     *     
     */
    public void setManifestAddress(ManifestAddressType value) {
        this.manifestAddress = value;
    }

    /**
     * Gets the value of the customerReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerReference() {
        return customerReference;
    }

    /**
     * Sets the value of the customerReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerReference(String value) {
        this.customerReference = value;
    }

    /**
     * Gets the value of the excludedShipments property.
     * 
     * @return
     *     possible object is
     *     {@link ExcludedShipmentsType }
     *     
     */
    public ExcludedShipmentsType getExcludedShipments() {
        return excludedShipments;
    }

    /**
     * Sets the value of the excludedShipments property.
     * 
     * @param value
     *     allowed object is
     *     {@link ExcludedShipmentsType }
     *     
     */
    public void setExcludedShipments(ExcludedShipmentsType value) {
        this.excludedShipments = value;
    }

}
